
@import "libs/shared/assets/src/global-style/variable";

.tag-group {
  width: 100%;
  background: #ffffff;
  border: 1px solid #d4d7e7;
  box-sizing: border-box;
  border-radius: 8px;
  padding: 5px;
  display: flex;
  justify-content: space-between;
  &__tags {
    width: 100%;
    &--input {
      border: none;
      display: flex;
      align-items: center;
      color: #a0a3bd;
      font-style: normal;
      font-weight: 400;
      line-height: 150%;
    }
    &--tag {
      margin-bottom: 5px;
      background: #e8eaf6;
      border-radius: 4px;
    }
  }

  &__close {
    .ant-btn:hover,
    .ant-btn:focus,
    .ant-btn:active {
      color: white;
      background: $bg-primary-default;
    }
    &--select {
      ::ng-deep svg {
        width: 10px !important;
      }
      padding-right: 10px;
    }
    &--button {
      margin: 0px;
      padding: 0px;
      border: none;
      width: 18px;
      height: 18px;
      display: flex;
      align-items: center;
      justify-content: center;
      .anticon {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 12px;
        height: 12px;
      }
    }
  }
}

.org-select {
  ::ng-deep {
    .ant-dropdown-menu-item, .ant-dropdown-menu-submenu-title {
      padding: 0px 12px !important;
    }
  }

  border-radius: 8px;
  &__title {
    &--switch {
      font-size: 12px;
      padding: 0px;
    }
    flex-direction: column;
    border-bottom: 1px solid #D4D7E7;
  }
  &__list {
    overflow-y: auto;
    &--line {
      font-size: 12px;
    }
  }
}
